import * as i0 from "@angular/core";
export declare class ZoomScaleService {
    private readonly _scale;
    readonly scale: import("@angular/core").Signal<number>;
    setScale(value: number): void;
    get reverseZoom(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZoomScaleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ZoomScaleService>;
}
